## org.eclipse.uml2.uml
Interface InteractionFragment

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ActionExecutionSpecification, BehaviorExecutionSpecification, CombinedFragment, ConsiderIgnoreFragment, Continuation, ExecutionOccurrenceSpecification, ExecutionSpecification, Interaction, InteractionOperand, InteractionUse, MessageOccurrenceSpecification, OccurrenceSpecification, PartDecomposition, StateInvariant

    public interface InteractionFragment

extends NamedElement

A representation of the model object 'Interaction Fragment'. InteractionFragment is an abstract notion of the most general interaction unit. An interaction fragment is a piece of an interaction. Each interaction fragment is conceptually like an interaction by itself.

The following features are supported:

- `Covered`
- `General Ordering`
- `Enclosing Interaction`
- `Enclosing Operand`

See Also:
  `UMLPackage.getInteractionFragment()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`GeneralOrdering` `createGeneralOrdering(java.lang.String name)` Creates a new `GeneralOrdering`, with the specified 'Name', and appends it to the 'General Ordering' containment reference list
`Lifeline` `getCovered(java.lang.String name)` Retrieves the first `Lifeline` with the specified 'Name' from the 'Covered' reference list
`Lifeline` `getCovered(java.lang.String name, boolean ignoreCase)` Retrieves the first `Lifeline` with the specified 'Name' from the 'Covered' reference list
`org.eclipse.emf.common.util.EList<Lifeline>` `getCovereds()` Returns the value of the 'Covered' reference list.
`Interaction` `getEnclosingInteraction()` Returns the value of the 'Enclosing Interaction' container reference.
`InteractionOperand` `getEnclosingOperand()` Returns the value of the 'Enclosing Operand' container reference.
`GeneralOrdering` `getGeneralOrdering(java.lang.String name)` Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'General Ordering' containment reference list
`GeneralOrdering` `getGeneralOrdering(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'General Ordering' containment reference list
`org.eclipse.emf.common.util.EList<GeneralOrdering>` `getGeneralOrderings()` Returns the value of the 'General Ordering' containment reference list.
`void` `setEnclosingInteraction(Interaction value)` Sets the value of the '`Enclosing Interaction`' container reference
`void` `setEnclosingOperand(InteractionOperand value)` Sets the value of the '`Enclosing Operand`' container reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCovereds

    org.eclipse.emf.common.util.EList<Lifeline> getCovereds()

  Returns the value of the 'Covered' reference list. The list contents are of type `Lifeline`. It is bidirectional and its opposite is '`Covered By`'. References the Lifelines that the InteractionFragment involves.

  Returns:
    the value of the 'Covered' reference list.
  See Also:
    `UMLPackage.getInteractionFragment_Covered()`, `Lifeline.getCoveredBys()`

### getCovered

    Lifeline getCovered(java.lang.String name)

  Retrieves the first `Lifeline` with the specified 'Name' from the 'Covered' reference list.

  Parameters:
    `name` - The 'Name' of the `Lifeline` to retrieve, or `null`.
  Returns:
    The first `Lifeline` with the specified 'Name', or `null`.
  See Also:
    `getCovereds()`

### getCovered

    Lifeline getCovered(java.lang.String name,
                        boolean ignoreCase)

  Retrieves the first `Lifeline` with the specified 'Name' from the 'Covered' reference list.

  Parameters:
    `name` - The 'Name' of the `Lifeline` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `Lifeline` with the specified 'Name', or `null`.
  See Also:
    `getCovereds()`

### getGeneralOrderings

    org.eclipse.emf.common.util.EList<GeneralOrdering> getGeneralOrderings()

  Returns the value of the 'General Ordering' containment reference list. The list contents are of type `GeneralOrdering`.

  This feature subsets the following features:

  - '`Owned Element`'
  The general ordering relationships contained in this fragment.

  Returns:
    the value of the 'General Ordering' containment reference list.
  See Also:
    `UMLPackage.getInteractionFragment_GeneralOrdering()`

### createGeneralOrdering

    GeneralOrdering createGeneralOrdering(java.lang.String name)

  Creates a new `GeneralOrdering`, with the specified 'Name', and appends it to the 'General Ordering' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `GeneralOrdering`, or `null`.
  Returns:
    The new `GeneralOrdering`.
  See Also:
    `getGeneralOrderings()`

### getGeneralOrdering

    GeneralOrdering getGeneralOrdering(java.lang.String name)

  Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'General Ordering' containment reference list.

  Parameters:
    `name` - The 'Name' of the `GeneralOrdering` to retrieve, or `null`.
  Returns:
    The first `GeneralOrdering` with the specified 'Name', or `null`.
  See Also:
    `getGeneralOrderings()`

### getGeneralOrdering

    GeneralOrdering getGeneralOrdering(java.lang.String name,
                                       boolean ignoreCase,
                                       boolean createOnDemand)

  Retrieves the first `GeneralOrdering` with the specified 'Name' from the 'General Ordering' containment reference list.

  Parameters:
    `name` - The 'Name' of the `GeneralOrdering` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `GeneralOrdering` on demand if not found.
  Returns:
    The first `GeneralOrdering` with the specified 'Name', or `null`.
  See Also:
    `getGeneralOrderings()`

### getEnclosingInteraction

    Interaction getEnclosingInteraction()

  Returns the value of the 'Enclosing Interaction' container reference. It is bidirectional and its opposite is '`Fragment`'. The Interaction enclosing this InteractionFragment.

  Returns:
    the value of the 'Enclosing Interaction' container reference.
  See Also:
    `setEnclosingInteraction(Interaction)`, `UMLPackage.getInteractionFragment_EnclosingInteraction()`, `Interaction.getFragments()`

### setEnclosingInteraction

    void setEnclosingInteraction(Interaction value)

  Sets the value of the '`Enclosing Interaction`' container reference.

  Parameters:
    `value` - the new value of the 'Enclosing Interaction' container reference.
  See Also:
    `getEnclosingInteraction()`

### getEnclosingOperand

    InteractionOperand getEnclosingOperand()

  Returns the value of the 'Enclosing Operand' container reference. It is bidirectional and its opposite is '`Fragment`'.

  This feature subsets the following features:

  - '`Namespace`'
  The operand enclosing this InteractionFragment (they may nest recursively)

  Returns:
    the value of the 'Enclosing Operand' container reference.
  See Also:
    `setEnclosingOperand(InteractionOperand)`, `UMLPackage.getInteractionFragment_EnclosingOperand()`, `InteractionOperand.getFragments()`

### setEnclosingOperand

    void setEnclosingOperand(InteractionOperand value)

  Sets the value of the '`Enclosing Operand`' container reference.

  Parameters:
    `value` - the new value of the 'Enclosing Operand' container reference.
  See Also:
    `getEnclosingOperand()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.